<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_BalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash" xlink:label="fimbankplc_BalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_PrepaymentsAccruedIncomeAndOtherAssets" xlink:label="fimbankplc_PrepaymentsAccruedIncomeAndOtherAssets" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_AccrualsDeferredIncomeAndOtherLiabilities" xlink:label="fimbankplc_AccrualsDeferredIncomeAndOtherLiabilities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_FairValueReserve" xlink:label="fimbankplc_FairValueReserve" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_Commitments" xlink:label="fimbankplc_Commitments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestRevenueExpense" xlink:label="ifrs-full_InterestRevenueExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="ifrs-full_FeeAndCommissionIncomeExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:label="ifrs-full_RevenueAndOperatingIncome" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_NetOperatingIncome" xlink:label="fimbankplc_NetOperatingIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_OtherMovementsInComprehensiveIncome" xlink:label="fimbankplc_OtherMovementsInComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_FairValueReserveMember" xlink:label="fimbankplc_FairValueReserveMember" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_InterestAndCommissionReceipts" xlink:label="fimbankplc_InterestAndCommissionReceipts" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_InterestAndCommissionPayments" xlink:label="fimbankplc_InterestAndCommissionPayments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_AdjustmentsForLoansAndAdvancesToCustomersAndBanks" xlink:label="fimbankplc_AdjustmentsForLoansAndAdvancesToCustomersAndBanks" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_AdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks" xlink:label="fimbankplc_AdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_PaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities" xlink:label="fimbankplc_PaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_ProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities" xlink:label="fimbankplc_ProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_PaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" xlink:label="fimbankplc_PaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_PaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" xlink:label="fimbankplc_PaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities" xlink:label="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" xlink:label="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" xlink:label="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_ProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" xlink:label="fimbankplc_ProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsCF" xlink:label="fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsCF" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsBF" xlink:label="fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsBF" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="529900Q2C3I7VCILLG45-2024-12-31.xsd#fimbankplc_EffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear" xlink:label="fimbankplc_EffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_BalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash" xlink:to="label_fimbankplc_fimbankplcBalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_PrepaymentsAccruedIncomeAndOtherAssets" xlink:to="label_fimbankplc_fimbankplcPrepaymentsAccruedIncomeAndOtherAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_AccrualsDeferredIncomeAndOtherLiabilities" xlink:to="label_fimbankplc_fimbankplcAccrualsDeferredIncomeAndOtherLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_FairValueReserve" xlink:to="label_fimbankplc_fimbankplcFairValueReserve_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_Commitments" xlink:to="label_fimbankplc_fimbankplcCommitments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InterestRevenueExpense" xlink:to="label_fimbankplc_ifrs-fullInterestRevenueExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="label_fimbankplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RevenueAndOperatingIncome" xlink:to="label_fimbankplc_ifrs-fullRevenueAndOperatingIncome_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_NetOperatingIncome" xlink:to="label_fimbankplc_fimbankplcNetOperatingIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OperatingExpense" xlink:to="label_fimbankplc_ifrs-fullOperatingExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_OtherMovementsInComprehensiveIncome" xlink:to="label_fimbankplc_fimbankplcOtherMovementsInComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_FairValueReserveMember" xlink:to="label_fimbankplc_FairValueReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_InterestAndCommissionReceipts" xlink:to="label_fimbankplc_fimbankplcInterestAndCommissionReceipts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_InterestAndCommissionPayments" xlink:to="label_fimbankplc_fimbankplcInterestAndCommissionPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_fimbankplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_AdjustmentsForLoansAndAdvancesToCustomersAndBanks" xlink:to="label_fimbankplc_fimbankplcAdjustmentsForLoansAndAdvancesToCustomersAndBanks_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_AdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks" xlink:to="label_fimbankplc_fimbankplcAdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_PaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities" xlink:to="label_fimbankplc_fimbankplcPaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_ProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities" xlink:to="label_fimbankplc_fimbankplcProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_fimbankplc_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_fimbankplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_PaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" xlink:to="label_fimbankplc_fimbankplcPaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_PaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" xlink:to="label_fimbankplc_fimbankplcPaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities" xlink:to="label_fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" xlink:to="label_fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" xlink:to="label_fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_ProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" xlink:to="label_fimbankplc_fimbankplcProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_fimbankplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Verbose" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsCF" xlink:to="label_fimbankplc_fimbankplcDecreaseIncreaseInCashAndCashEquivalentsCF_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsBF" xlink:to="label_fimbankplc_fimbankplcDecreaseIncreaseInCashAndCashEquivalentsBF_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_fimbankplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="fimbankplc_EffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear" xlink:to="label_fimbankplc_fimbankplcEffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_fimbankplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_fimbankplc_fimbankplcBalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash_Standard" id="fimbankplc_fimbankplcBalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Balances with the Central Bank of Malta, treasury bills and cash</label>
    <label xlink:label="label_fimbankplc_fimbankplcPrepaymentsAccruedIncomeAndOtherAssets_Standard" id="fimbankplc_fimbankplcPrepaymentsAccruedIncomeAndOtherAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Prepayments, accrued income and other assets</label>
    <label xlink:label="label_fimbankplc_fimbankplcAccrualsDeferredIncomeAndOtherLiabilities_Standard" id="fimbankplc_fimbankplcAccrualsDeferredIncomeAndOtherLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Accruals, deferred income and other liabilities</label>
    <label xlink:label="label_fimbankplc_fimbankplcFairValueReserve_Standard" id="fimbankplc_fimbankplcFairValueReserve_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value reserve</label>
    <label xlink:label="label_fimbankplc_fimbankplcCommitments_Standard" id="fimbankplc_fimbankplcCommitments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Commitments</label>
    <label xlink:label="label_fimbankplc_ifrs-fullInterestRevenueExpense_Total" id="fimbankplc_ifrs-fullInterestRevenueExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net interest income</label>
    <label xlink:label="label_fimbankplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" id="fimbankplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net fee and commission income</label>
    <label xlink:label="label_fimbankplc_ifrs-fullRevenueAndOperatingIncome_Total" id="fimbankplc_ifrs-fullRevenueAndOperatingIncome_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Operating income before net impairment</label>
    <label xlink:label="label_fimbankplc_fimbankplcNetOperatingIncome_Standard" id="fimbankplc_fimbankplcNetOperatingIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net operating income</label>
    <label xlink:label="label_fimbankplc_ifrs-fullOperatingExpense_Total" id="fimbankplc_ifrs-fullOperatingExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total operating expenses</label>
    <label xlink:label="label_fimbankplc_fimbankplcOtherMovementsInComprehensiveIncome_Standard" id="fimbankplc_fimbankplcOtherMovementsInComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other movements in comprehensive income</label>
    <label xlink:label="label_fimbankplc_FairValueReserveMember" id="fimbankplc_FairValueReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value reserve</label>
    <label xlink:label="label_fimbankplc_fimbankplcInterestAndCommissionReceipts_Standard" id="fimbankplc_fimbankplcInterestAndCommissionReceipts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest and commission receipts</label>
    <label xlink:label="label_fimbankplc_fimbankplcInterestAndCommissionPayments_Standard" id="fimbankplc_fimbankplcInterestAndCommissionPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest and commission payments</label>
    <label xlink:label="label_fimbankplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" id="fimbankplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Operating profit/(loss) before changes in operating assets/liabilities</label>
    <label xlink:label="label_fimbankplc_fimbankplcAdjustmentsForLoansAndAdvancesToCustomersAndBanks_Standard" id="fimbankplc_fimbankplcAdjustmentsForLoansAndAdvancesToCustomersAndBanks_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for loans and advances to customers and banks</label>
    <label xlink:label="label_fimbankplc_fimbankplcAdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks_Standard" id="fimbankplc_fimbankplcAdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for amounts owed to customers, institutions and banks</label>
    <label xlink:label="label_fimbankplc_fimbankplcPaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities_Standard" id="fimbankplc_fimbankplcPaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payments to acquire trading assets classified as operating activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities_Standard" id="fimbankplc_fimbankplcProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on settlement of trading assets classified as operating activities</label>
    <label xlink:label="label_fimbankplc_ifrs-fullCashFlowsFromUsedInOperations_Total" id="fimbankplc_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash generated from operating activities before income tax</label>
    <label xlink:label="label_fimbankplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="fimbankplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows from operating activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcPaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities_Standard" id="fimbankplc_fimbankplcPaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payments to acquire financial assets at amortised cost classified as investing activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcPaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities_Standard" id="fimbankplc_fimbankplcPaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payments to acquire treasury bills at amortised cost classified as investing activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities_Standard" id="fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of financial assets at fair value through profit or loss classified as investing activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities_Standard" id="fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of financial assets at fair value through other comprehensive income classified as investing activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities_Standard" id="fimbankplc_fimbankplcProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of financial assets at amortised cost classified as investing activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities_Standard" id="fimbankplc_fimbankplcProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on disposal of treasury bills at amortised cost classified as investing activities</label>
    <label xlink:label="label_fimbankplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Verbose" id="fimbankplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Verbose" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:type="resource" xml:lang="en">Net cash flows from/(used in) investing activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcDecreaseIncreaseInCashAndCashEquivalentsCF_Standard" id="fimbankplc_fimbankplcDecreaseIncreaseInCashAndCashEquivalentsCF_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">(Decrease)/Increase in cash and cash equivalents c/f</label>
    <label xlink:label="label_fimbankplc_fimbankplcDecreaseIncreaseInCashAndCashEquivalentsBF_Standard" id="fimbankplc_fimbankplcDecreaseIncreaseInCashAndCashEquivalentsBF_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">(Decrease)/Increase in cash and cash equivalents b/f</label>
    <label xlink:label="label_fimbankplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="fimbankplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows used in financing activities</label>
    <label xlink:label="label_fimbankplc_fimbankplcEffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear_Standard" id="fimbankplc_fimbankplcEffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Effect of realised exchange gains/(losses) arising from cash movements during the year</label>
    <label xlink:label="label_fimbankplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="fimbankplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase in cash and cash equivalents</label>
  </labelLink>
</linkbase>